org.eclipse.viatra.query.patternlanguage.emf.scoping

## Class EMFPatternLanguageImportNamespaceProvider

- java.lang.Object
- - org.eclipse.xtext.scoping.impl.AbstractScopeProvider
  - - org.eclipse.xtext.scoping.impl.AbstractGlobalScopeDelegatingScopeProvider
    - - org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider
      - - org.eclipse.viatra.query.patternlanguage.emf.scoping.EMFPatternLanguageImportNamespaceProvider

- All Implemented Interfaces:
    org.eclipse.xtext.scoping.IScopeProvider

      public class EMFPatternLanguageImportNamespaceProvider
      extends org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider

      `JAVA_LANG, XBASE_LIB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageImportNamespaceProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<org.eclipse.xtext.scoping.impl.ImportNormalizer>` | `getImplicitImports(boolean ignoreCase)`
    `protected java.util.List<org.eclipse.xtext.scoping.impl.ImportNormalizer>` | `getImportedNamespaceResolvers(org.eclipse.xtext.xtype.XImportSection importSection, boolean ignoreCase)`
    `protected org.eclipse.xtext.scoping.IScope` | `getResourceScope(org.eclipse.xtext.scoping.IScope globalScope, org.eclipse.emf.ecore.resource.Resource res, org.eclipse.emf.ecore.EReference reference)`
    `protected org.eclipse.xtext.scoping.IScope` | `internalGetScope(org.eclipse.xtext.scoping.IScope parent, org.eclipse.xtext.scoping.IScope globalScope, org.eclipse.emf.ecore.EObject context, org.eclipse.emf.ecore.EReference reference)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider

      `createImportedNamespaceResolver, createImportScope, doCreateImportNormalizer, getAllDescriptions, getAssociations, getGlobalScope, getImportedNamespaceResolvers, getImportsConfiguration, getKey, getLocalElementsScope, getQualifiedNameConverter, getQualifiedNameOfLocalElement, getQualifiedNameProvider, getScope, getWildcard, internalGetAllDescriptions, internalGetImportedNamespaceResolvers`

    - ### Methods inherited from class org.eclipse.xtext.scoping.impl.AbstractGlobalScopeDelegatingScopeProvider

      `getGlobalScope, isIgnoreCase, setWrapper, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageImportNamespaceProvider

          public EMFPatternLanguageImportNamespaceProvider()

  - ### Method Detail

    - #### getResourceScope

          protected org.eclipse.xtext.scoping.IScope getResourceScope(org.eclipse.xtext.scoping.IScope globalScope,
                                                                      org.eclipse.emf.ecore.resource.Resource res,
                                                                      org.eclipse.emf.ecore.EReference reference)

      Overrides:
        `getResourceScope` in class `org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider`
      Since:
        2.4

    - #### getImplicitImports

          protected java.util.List<org.eclipse.xtext.scoping.impl.ImportNormalizer> getImplicitImports(boolean ignoreCase)

      Overrides:
        `getImplicitImports` in class `org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider`
      Since:
        1.4

    - #### internalGetScope

          protected org.eclipse.xtext.scoping.IScope internalGetScope(org.eclipse.xtext.scoping.IScope parent,
                                                                      org.eclipse.xtext.scoping.IScope globalScope,
                                                                      org.eclipse.emf.ecore.EObject context,
                                                                      org.eclipse.emf.ecore.EReference reference)

      Overrides:
        `internalGetScope` in class `org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider`

    - #### getImportedNamespaceResolvers

          protected java.util.List<org.eclipse.xtext.scoping.impl.ImportNormalizer> getImportedNamespaceResolvers(org.eclipse.xtext.xtype.XImportSection importSection,
                                                                                                                  boolean ignoreCase)

      Overrides:
        `getImportedNamespaceResolvers` in class `org.eclipse.xtext.xbase.scoping.XImportSectionNamespaceScopeProvider`